"use server"
import { Genre, Story } from "@prisma/client"
import { StoryWithGenres } from "app/story/page"
import prisma from "./db"
import { revalidatePath } from "next/cache"
import { redirect } from "next/navigation"


export async function updateField({ text, number, table, column, id, pathname }: { text?: string, number?: number, table: string, column: string, id: number, pathname: string }) {
	const res = await prisma[table].update({
		where: { id },
		data: {
			[column]: text ?? number
		}
	})
	console.log(`updated record in ${table}: ${res}`)
	revalidatePath(pathname)
	redirect(pathname)
}

