import { getGenres } from "app/lib/get";
import StoryForm from "app/ui/forms/story";
import prisma from "app/lib/db";
import { revalidatePath } from "next/cache";
import { redirect } from "next/navigation";
import { CreateContainerContent, CreateContainerHeader, CreateContainer, CreateContainerDescription } from "app/ui/createContainer";
export default async function Page() {
	const genres = await getGenres()
	async function createStory(data) {
		"use server"
		const genresArray = data.genres.map(e => { return { id: e } })
		const res = await prisma.story.create({
			data: {
				title: data.title,
				word_count: data.word_count,
			}
		})
		console.log(res)
		const genresRes = await prisma.story.update({
			where: { id: res.id },
			data: {
				genres: { set: genresArray }
			}
		})
		console.log(genresRes)
		revalidatePath("/story")
		redirect("/story")
	}
	return (
		<CreateContainer>
			<CreateContainerHeader>New story</CreateContainerHeader>
			<CreateContainerContent>
				<CreateContainerDescription>Make an entry for a new work of fiction i.e. a thing you intend to submit for publication.</CreateContainerDescription>
				<StoryForm genres={genres} createStory={createStory} className="mt-6" />
			</CreateContainerContent>
		</CreateContainer>
	)
}
