import { Genre } from "@prisma/client";
import { ComponentProps } from "react";
import { Badge } from "@/components/ui/badge";

export default function GenreBadges(props: ComponentProps<"div"> & { genres: Array<Genre> }) {
  return (
    <div className={props.className}>
      {props.genres.map((e: Genre) => (<Badge key={e.name}>{e.name}</Badge>))}
    </div>
  )
}
